from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComForfrontMedEquip(UltmarcTable):
    """レイアウト区分022: COM_先端医療機器"""
    hi_medicmach_code: str      # 先進医療機器コード
    hi_medicmach_name: str      # 先端医療機器名
    maint_flag: str             # 修正区分

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.hi_medicmach_code = record[1]
        self.hi_medicmach_name = record[5]
        self.maint_flag = record[2]
